%define anolis_release 1

Summary: A X front-end for the Ghostscript PostScript(TM) interpreter
Name: gv
Version: 3.7.4
Release: %{anolis_release}%{?dist}
License: GPLv3+
Requires: ghostscript-x11
URL: http://www.gnu.org/software/gv/
Source0: https://ftp.gnu.org/gnu/gv/gv-%{version}.tar.gz
Source1: gv.png
# Check for null pointers in resource requests
# https://savannah.gnu.org/bugs/?38727
Patch0: gv-resource.patch
# Change tab to space in gv_user_res.dat
# http://savannah.gnu.org/patch/?7998
Patch1: gv-dat.patch
# Fix bounding box recognition
Patch2: gv-bounding-box.patch
# Fix NULL access segfault
# https://bugzilla.redhat.com/show_bug.cgi?id=1071238
Patch3: gv-bug1071238.patch
# Fix PDF printing
# https://bugzilla.redhat.com/show_bug.cgi?id=1536211
Patch4: gv-bz1536211.patch
# Fix buffer overflows in resource.c
# https://savannah.gnu.org/patch/?10096
Patch5: gv-overflow.patch
# https://bugs.gentoo.org/855011
Patch6: gv-3.7.4-remove-aliasing-violation.patch
# https://github.com/pld-linux/gv for mouse wheel support
Patch7: gv-wheel.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=729618
Patch8: gv-3.7.4-Do-not-segfault-on-buggy-postscript-files-i.-e.-file.patch

BuildRequires: /usr/bin/makeinfo
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xaw3d)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xt)
BuildRequires: automake autoconf
BuildRequires: make

%description
GNU gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

#Still provide link
ln -s gv %{buildroot}%{_bindir}/ghostview

mkdir -p %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/gv.desktop <<EOF
[Desktop Entry]
Name=GNU GV PostScript/PDF Viewer
Comment="View PostScript and PDF files"
Type=Application
Icon=gv
Terminal=false
MimeType=application/postscript;application/pdf;
Categories=Office;Viewer
StartupWMClass=GV
Exec=gv %f
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -p %SOURCE1 %{buildroot}%{_datadir}/pixmaps

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_bindir}/ghostview
%{_bindir}/gv
%{_bindir}/gv-update-userconfig
%{abidir}/*-option.list
%{_datadir}/gv/
%{_datadir}/applications/gv.desktop
%{_datadir}/info/*
%{_datadir}/pixmaps/gv.png
%{_mandir}/man1/gv.*
%{_mandir}/man1/gv-update-userconfig.*

%files doc
%doc AUTHORS ChangeLog NEWS README

%changelog
* Fri Oct 27 2023 Funda Wang <fundawang@yeah.net> - 3.7.4-1
- Import package for anolis 23
